package ch.psi.daq.queryrest;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.cassandra.CassandraDataAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.context.web.SpringBootServletInitializer;

/**
 * Entry point to our rest-frontend of the data acquisition (DAQ) application which most importantly
 * wires all the @RestController annotated classes.
 */
@SpringBootApplication
@EnableAutoConfiguration(exclude={ 
      CassandraDataAutoConfiguration.class
})
public class QueryRestApplication extends SpringBootServletInitializer {

   public static void main(final String[] args) {
      SpringApplication.run(QueryRestApplication.class, args);
   }

   @Override
   protected final SpringApplicationBuilder configure(final SpringApplicationBuilder application) {
      return application.sources(QueryRestApplication.class);
   }

}
